<!--- 
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is comprised of the PT Profile directory

The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2016.
All Rights Reserved.

By downloading, modifying, distributing, using and/or accessing any files 
in this directory, you agree to the terms and conditions of the applicable 
end user license agreement.
--->

<!---
/* *************************************************************** */
Author:
	PaperThin Inc.
	M. Carroll
Name:
	profile_select_list_highlight_display_rh.cfm
Element:
	Profile Select
ADF App:
	pt_profile
Version:
	2.0
History:
	2009-07-23 - MFC - Created
	2010-08-26 - MFC - V2.0
	2016-02-26 - DRM - Resource detection exit
--->

<!--- if this module loads resources, do it here.. --->
<!---<cfscript>
	// none
</cfscript>--->

<!--- ... then exit if all we're doing is detecting required resources --->
<cfif Request.RenderState.RenderMode EQ "getResources">
  <cfexit>
</cfif>


<!--- Check that we have values --->
<cfif arrayLen(attributes.elementinfo.elementdata.propertyValues) gt 0>
	<cfscript>
		// Force RH not to be cached
		request.element.isStatic = 0;
		// Get the items
		items = attributes.elementInfo.elementData.propertyValues;
	</cfscript>
	<!--- Check the count of items --->
	<cfif ArrayLen(items)>
		<!--- Get the CE Data Records --->
		<cfset dataArray = application.ptProfile.ceData.getCEData("Profile", "uniqueID", items[1].Values.profileSelect)>
		<!--- Loop over the dataArray --->
		<cfloop index="j" from="1" to="#ArrayLen(dataArray)#">
			<!--- Create the profile object --->
			<cfset profileObj = server.ADF.objectFactory.getBean("profile").initProfile(dataArray[j].values.userid)>
			<cfset profileRoles = profileObj.getRoles()>
			<cfset profileDataValues = profileObj.getDataValues()>
			<cfoutput>
			<!--- Load the Styles --->
			<link rel="stylesheet" href="/ADF/apps/pt_profile/style/profile.css" type="text/css" >
			<!--- Even/odd bg display --->
			<cfif (j mod 2) EQ 1>
				<div id="profileList-even">
			<cfelse>
				<div id="profileList-odd">
			</cfif>
			<!--- check if rendering the 1st record for highlighted --->
			<cfif j EQ 1>
					<cfif LEN(profileDataValues.photo)>
						<cfset profilePhoto = application.ptProfile.profileService.getProfileImageURL(profileDataValues.photo)>
					<cfelse>
						<cfset profilePhoto = "">
					</cfif>
					<div id="listLeft">
						<cfif LEN(profilePhoto)>
							<img src="#profilePhoto#" alt="#profileDataValues.firstname# #profileDataValues.lastname#" title="#profileDataValues.firstname# #profileDataValues.lastname#" width="100" height="100">
                            <cfelse>
     						<img src="/ADF/apps/pt_profile/images/no-profile_small.gif" alt="Profile photo no provided" title="Profile photo no provided" width="100" height="100" />
						</cfif>
					</div>
					<div id="listRight">
						<div id="name" class="profileItem">
							<div class="item-title">
								#profileDataValues.firstname# #profileDataValues.lastname#
							</div>
						</div>
						<cfif LEN(profileDataValues.email)>
							<div id="email" class="profileItem">
								#profileDataValues.email#
							</div>
						</cfif>
						<div id="link" class="profileItem">
							<cfset roleList = ListSort(StructKeyList(profileRoles), "textnocase")>
							<!--- Loop over the profile roles --->
							<cfloop index="role_i" from="1" to="#ListLen(roleList)#">
								<!--- Check if the profile has permissions --->
								<cfif profileRoles[ListGetAt(roleList,role_i)].permission>
									<cfset roleName = ListGetAt(roleList,role_i)>
									<div id="name" class="profileItem">
										<cfif (profileRoles[roleName].pageID GT 0)>
											<a href="#profileRoles[roleName].pageURL#">View #roleName# Profile</a>
										</cfif>
									</div>
								</cfif>
							</cfloop>
						</div>
					</div>
					<div style="clear:both;"></div>
				</div>
			<cfelse> <!--- else short display for all other records --->
					<div id="name" class="profileItem">
						<div class="item-title">
							#profileDataValues.firstname# #profileDataValues.lastname#
						</div>
					</div>
					<div id="link" class="profileItem">
						<cfset roleList = ListSort(StructKeyList(profileRoles), "textnocase")>
						<!--- Loop over the profile roles --->
						<cfloop index="role_i" from="1" to="#ListLen(roleList)#">
							<!--- Check if the profile has permissions --->
							<cfif profileRoles[ListGetAt(roleList,role_i)].permission>
								<cfset roleName = ListGetAt(roleList,role_i)>
								<div id="name" class="profileItem">
									<cfif (profileRoles[roleName].pageID GT 0)>
										<a href="#profileRoles[roleName].pageURL#">View #roleName# Profile</a>
									</cfif>
								</div>
							</cfif>
						</cfloop>
					</div>
					<div style="clear:both;"></div>
				</div>
			</cfif>
			</cfoutput>
		</cfloop>
	<cfelse>
		<div>
			<cfoutput><br />No Profiles Selected.<br /></cfoutput>
		</div>
	</cfif>
<cfelse>
	<div>
		<cfoutput><br />No Profiles Selected.<br /></cfoutput>
	</div>
</cfif>